Package ch.qos.logback.core.util

# Class DatePatternToRegexUtil

java.lang.Object
ch.qos.logback.core.util.DatePatternToRegexUtil

public class DatePatternToRegexUtil extends Object
This class is concerned with computing a regex corresponding to a date pattern (in `SimpleDateFormat` format).

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`DatePatternToRegexUtil(String datePattern)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toRegex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatePatternToRegexUtil

public DatePatternToRegexUtil(String datePattern)

## Method Details

### toRegex

public String toRegex()